- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ObjectiveValues Class Reference

The ObjectiveValues Class. More...

`#include <OSResult.h>`

Collaboration diagram for ObjectiveValues:

[legend]
List of all members.

## Public Member Functions
| ObjectiveValues ()
| Default constructor.
| ~ObjectiveValues ()
| Class destructor.
bool | IsEqual (ObjectiveValues *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
| ObjectiveValues ()
| Default constructor.
| ~ObjectiveValues ()
| Class destructor.
## Public Attributes
int | numberOfObj
| record the number of objective rows for which values are given
ObjValue ** | obj
| obj is a pointer to an array of ObjValue objects that give an index and objective function value for each objective function.
std::vector< ObjValue * > | obj
| obj is a pointer to an array of ObjValue objects that give an index and objective function value for each objective function.

## Detailed Description

The ObjectiveValues Class.

Author:
  Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A class for reporting objective function values

Definition at line 1282 of file OSResult.h.

## Constructor & Destructor Documentation

ObjectiveValues::ObjectiveValues | ( |  | ) |

Default constructor.

Definition at line 592 of file OSResult.cpp.

ObjectiveValues::~ObjectiveValues | ( |  | ) |

Class destructor.

Definition at line 603 of file OSResult.cpp.

References numberOfObj, and obj.

ObjectiveValues::ObjectiveValues | ( |  | ) |

Default constructor.

ObjectiveValues::~ObjectiveValues | ( |  | ) |

Class destructor.

## Member Function Documentation

bool ObjectiveValues::IsEqual | ( | ObjectiveValues * | that | ) |

A function to check for the equality of two objects.

Definition at line 6543 of file OSResult.cpp.

bool ObjectiveValues::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 7988 of file OSResult.cpp.

References obj, and ObjValue::setRandom().

## Member Data Documentation

int ObjectiveValues::numberOfObj

record the number of objective rows for which values are given

Definition at line 1287 of file OSResult.h.

Referenced by OSResult::setObjectiveValues(), and ~ObjectiveValues().

ObjValue** ObjectiveValues::obj

obj is a pointer to an array of ObjValue objects that give an index and objective function value for each objective function.

Definition at line 1293 of file OSResult.h.

Referenced by main(), OSResult::setObjectiveValues(), setRandom(), and ~ObjectiveValues().

std::vector<ObjValue*> ObjectiveValues::obj

obj is a pointer to an array of ObjValue objects that give an index and objective function value for each objective function.

Definition at line 748 of file OSResult.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.cpp